> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Issues

> List existing Issues. Supports filtering on various fields including array containment.



## OpenAPI

````yaml GET /api/v1/issues
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/issues:
    get:
      tags:
        - Issues
      summary: List Issues
      description: >-
        List existing Issues. Supports filtering on various fields including
        array containment.
      operationId: listIssues
      parameters:
        - description: Filter by associated partner ID.
          in: query
          name: partner_id
          required: false
          schema:
            format: uuid
            type: string
        - description: Filter by associated group ID.
          in: query
          name: group_id
          required: false
          schema:
            format: uuid
            type: string
        - description: >-
            Filter by issue status. Supports single value (status=open) or
            comma-separated multiple values (status=open,pending_resolution).
          example: open
          explode: false
          in: query
          name: status
          required: false
          schema:
            items:
              enum:
                - open
                - pending_resolution
                - resolved
              type: string
            type: array
          style: form
        - description: Filter by associated member ID.
          in: query
          name: member_id
          required: false
          schema:
            format: uuid
            type: string
        - description: Filter by associated employee ID.
          in: query
          name: employee_id
          required: false
          schema:
            format: uuid
            type: string
        - description: Filter by associated partner document source ID.
          in: query
          name: partner_document_source_id
          required: false
          schema:
            format: uuid
            type: string
        - description: Filter by issues containing specific originating record IDs.
          explode: false
          in: query
          name: originating_record_ids
          required: false
          schema:
            items:
              format: uuid
              type: string
            type: array
          style: form
        - description: Filter by the source system or process that created this issue.
          in: query
          name: source
          required: false
          schema:
            enum:
              - edi_error_report
              - member_snapshot_creation
              - transaction_confirmation
              - transaction_to_partner
              - async_carrier_transaction_detail
            type: string
        - description: Filter by the category of error for this issue.
          in: query
          name: category
          required: false
          schema:
            type: string
        - description: Filter by issue_key - a unique identifier for the issue.
          in: query
          name: issue_key
          required: false
          schema:
            type: string
        - description: Filter by dismissed state.
          in: query
          name: dismissed
          required: false
          schema:
            type: boolean
        - description: >-
            Filter by resolution action explanation (filters on
            data->resolution->action->explanation). Only matches issues where
            the nested path exists.
          in: query
          name: resolution_action
          required: false
          schema:
            type: string
        - description: Number of records to return per page.
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: Number of records to skip for pagination.
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 2
                response:
                  - category: invalid_ssn
                    created: 1697380200
                    dismissed: false
                    employee_id: 7027d416-3bed-43e8-b824-508d9c0d323e
                    group_id: 436fb487-bb75-42d4-9651-7b1471a8940e
                    id: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
                    issue_key: >-
                      a1b2c3d4e5f6789012345678901234567890123456789012345678901234567890
                    last_seen: '2023-10-15T14:30:00Z'
                    member_id: 7027d416-3bed-43e8-b824-508d9c0d323e
                    member_type: employee
                    modified: 1697380200
                    partner_id: 8fac0992-933a-4743-8dab-0d606ef2569e
                    resolved_at: null
                    status: open
                    version: ea38e798-cd61-4fa2-b485-d1c5b87a61af
                  - category: invalid_demographic_info
                    created: 1697280900
                    dismissed: false
                    employee_id: 7027d416-3bed-43e8-b824-508d9c0d323e
                    group_id: 436fb487-bb75-42d4-9651-7b1471a8940e
                    id: cc8b2924-48e8-5d8f-97cd-e152e3dce8b2
                    issue_key: >-
                      b2c3d4e5f6789012345678901234567890123456789012345678901234567891
                    last_seen: '2023-10-14T10:15:00Z'
                    member_id: 8138e527-4cfe-54f9-c935-619e9d1d434f
                    member_type: dependent
                    modified: 1697304300
                    partner_id: 8fac0992-933a-4743-8dab-0d606ef2569e
                    resolved_at: '2023-10-14T16:45:00Z'
                    status: resolved
                    version: fb49f8a9-de72-5gb3-c596-e2d6c98b72bg
              schema:
                $ref: '#/components/schemas/PaginatedPublicIssueResult'
          description: Successful Response - Returns a paginated list of Issues.
components:
  schemas:
    PaginatedPublicIssueResult:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of issues
          items:
            $ref: '#/components/schemas/PublicIssueResult'
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object
    PublicIssueResult:
      properties:
        category:
          description: The category of error for this issue
          enum:
            - missing_coverage
            - duplicate_coverage
            - missing_employee
            - missing_dependent
            - duplicate_member
            - overage_dependent
            - invalid_coverage
            - invalid_volume
            - invalid_ssn
            - invalid_address
            - invalid_demographic_info
            - invalid_carrier_config
            - cobra_status_conflict
            - coverage_date_conflict
            - enrollment_conflict
            - event_conflict
            - eoi_pending
            - retro_change
            - future_change
            - missing_event
            - missing_ssn
          nullable: true
          type: string
        created:
          description: The date the record was created
          type: integer
        dismissed:
          description: Whether this issue has been dismissed
          readOnly: true
          type: boolean
        employee_id:
          description: The unique identifier of the employee associated with this issue
          format: uuid
          nullable: true
          readOnly: true
          type: string
        group_id:
          description: The unique identifier of the group associated with this issue
          format: uuid
          nullable: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        issue_key:
          description: >-
            A unique key identifying this issue, generated from partner and
            issue details
          readOnly: true
          type: string
        last_seen:
          description: The timestamp when this issue was last observed
          readOnly: true
          type: integer
        member_id:
          description: The unique identifier of the member associated with this issue
          format: uuid
          nullable: true
          readOnly: true
          type: string
        member_type:
          description: The type of member (employee or dependent)
          nullable: true
          readOnly: true
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        partner_id:
          description: >-
            The unique identifier of the partner (carrier, broker, etc.)
            associated with this issue
          format: uuid
          nullable: true
          type: string
        resolved_at:
          description: The timestamp when this issue was resolved
          nullable: true
          readOnly: true
          type: integer
        status:
          description: >-
            The current status of the issue (open, pending_resolution, or
            resolved)
          enum:
            - open
            - pending_resolution
            - resolved
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - created
        - id
        - modified
        - status
        - version
      type: object
      x-field_order: []

````